{
  "name": "factfuse",
  "version": "0.1.6",
  "description": "FUSE driver to interface with LDP servers and manage provenance information according to the FactDAG Model.",
  "main": "src/UI/initGUI.ts",
  "dependencies": {
    "@i5/factlib.js": "^0.1.5",
    "@nodegui/nodegui": "^0.30.1",
    "@nodegui/os-utils": "^1.1.2",
    "@nodegui/plugin-title-bar": "0.0.2",
    "axios": "^0.21.1",
    "diff": "^5.0.0",
    "domino": "^2.1.6",
    "fuse-native": "^2.2.6",
    "mime-types": "^2.1.29",
    "node-gyp-build": "^4.2.3",
    "parse-link-header": "^1.0.1",
    "rdflib": "^1.3.4",
    "window": "^4.2.7"
  },
  "devDependencies": {
    "@nodegui/packer": "^1.4.1",
    "@types/node": "^14.14.31",
    "clean-webpack-plugin": "^3.0.0",
    "copy-webpack-plugin": "^6.3.2",
    "file-loader": "^6.2.0",
    "native-addon-loader": "^2.0.1",
    "node-loader": "^1.0.2",
    "ts-loader": "^7.0.5",
    "typescript": "^3.9.9",
    "webpack": "^4.46.0",
    "webpack-cli": "^3.3.11"
  },
  "config": {
    "selected": ""
  },
  "scripts": {
    "postinstall": "npx qode `which npm` install fuse-native --build-from-source && npm install --save @nodegui/os-utils && npm install --save @nodegui/plugin-title-bar",
    "tsc": "tsc",
    "webpack": "webpack -w",
    "init": "qode ./dist/index.js",
    "debug": "webpack -w && qode --inspect ./dist/index.js",
    "gui": "qode ./dist/provView.js",
    "build": "webpack && npx nodegui-packer --pack ./dist"
  },
  "repository": {
    "type": "git",
    "url": "https://git.rwth-aachen.de/i5/factdag/factfuse.git"
  },
  "author": "Leon Müller",
  "license": "ISC"
}
